xml-1.3.12: A simple XML library.

Portability | Basic XML types.
Stability | provisional
Maintainer | Iavor S. Diatchki <diatchki@galois.com>
Safe Haskell | Safe-Inferred

Text.XML.Light.Types

Description

Synopsis

- type Line = Integer
- data Content
  - = Elem Element
  - | Text CData
  - | CRef String
- data Element = Element {
  - elName :: QName
  - elAttribs :: [Attr]
  - elContent :: [Content]
  - elLine :: Maybe Line
  }
- data Attr = Attr {
  - attrKey :: QName
  - attrVal :: String
  }
- data CData = CData {
  - cdVerbatim :: CDataKind
  - cdData :: String
  - cdLine :: Maybe Line
  }
- data CDataKind
  - = CDataText
  - | CDataVerbatim
  - | CDataRaw
- data QName = QName {
  - qName :: String
  - qURI :: Maybe String
  - qPrefix :: Maybe String
  }
- blank_name :: QName
- blank_cdata :: CData
- blank_element :: Element

# Documentation

type Line = Integer Source

A line is an Integer

data Content Source

XML content

Constructors

Elem Element |
Text CData |
CRef String |

Instances

Data Content |
Show Content |
Typeable Content |
Node Content |
Node [Content] |
Node ([Attr], [Content]) |
Node ([Attr], Content) |
Node (Attr, Content) |

data Element Source

XML elements

Constructors

Element |

Fields

elName :: QName
elAttribs :: [Attr]
elContent :: [Content]
elLine :: Maybe Line

Instances

Data Element |
Show Element |
Typeable Element |
Node Element |
Node [Element] |
Node ([Attr], [Element]) |
Node ([Attr], Element) |
Node (Attr, Element) |

data Attr Source

XML attributes

Constructors

Attr |

Fields

attrKey :: QName
attrVal :: String

Instances

Eq Attr |
Data Attr |
Ord Attr |
Show Attr |
Typeable Attr |
Node Attr |
Node [Attr] |
Node ([Attr], [CData]) |
Node ([Attr], [Element]) |
Node ([Attr], [Content]) |
Node ([Attr], String) |
Node ([Attr], CData) |
Node ([Attr], Element) |
Node ([Attr], Content) |
Node (Attr, String) |
Node (Attr, CData) |
Node (Attr, Element) |
Node (Attr, Content) |

data CData Source

XML CData

Constructors

CData |

Fields

cdVerbatim :: CDataKind
cdData :: String
cdLine :: Maybe Line

Instances

Data CData |
Show CData |
Typeable CData |
Node CData |
Node [CData] |
Node ([Attr], [CData]) |
Node ([Attr], CData) |
Node (Attr, CData) |

data CDataKind Source

Constructors

CDataText | Ordinary character data; pretty printer escapes &, < etc.
CDataVerbatim | Unescaped character data; pretty printer embeds it in <![CDATA[..
CDataRaw | As-is character data; pretty printer passes it along without any escaping or CDATA wrap-up.

Instances

Eq CDataKind |
Data CDataKind |
Show CDataKind |
Typeable CDataKind |

data QName Source

XML qualified names

Constructors

QName |

Fields

qName :: String
qURI :: Maybe String
qPrefix :: Maybe String

Instances

Eq QName |
Data QName |
Ord QName |
Show QName |
Typeable QName |

blank_name :: QName Source

Blank names

blank_cdata :: CData Source

Blank cdata

blank_element :: Element Source

Blank elements